SoUniformShaderParameter(3)

NAME
SoUniformShaderParameter - The SoUniformShaderParameter class is the base class for all uniform shader variables.

SYNOPSIS

#include <Inventor/nodes/SoShaderParameter.h>

Inherits SoShaderParameter.

Inherited by SoShaderParameter1f, SoShaderParameter1i, SoShaderParameter2f, SoShaderParameter2i, SoShaderParameter3f, SoShaderParameter3i, SoShaderParameter4f, SoShaderParameter4i, SoShaderParameterArray1f, SoShaderParameterArray1i, SoShaderParameterArray2f, SoShaderParameterArray2i, SoShaderParameterArray3f, SoShaderParameterArray3i, SoShaderParameterArray4f, SoShaderParameterArray4i, SoShaderParameterMatrix, SoShaderParameterMatrixArray, and SoShaderStateMatrixParameter.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void updateParameter (SoGLShaderObject *shaderObject)=0
Updates the shader parameter in the OpenGL state with the content of the value field.

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
SoGLShaderParameter * getGLShaderParameter (const uint32_t cachecontext)
void ensureParameter (SoGLShaderObject *shader)

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoUniformShaderParameter class is the base class for all uniform shader variables. Uniform shader variables are used to pass parameters from the scene graph to the shader program.

In the shader program the variable is declared like this:

uniform float shininess;

See Shaders in Coin for more information.

Member Function Documentation

  SoType SoUniformShaderParameter::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoUniformShaderParameter::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoShaderParameter.

Reimplemented in SoShaderParameter1f, SoShaderParameter1i, SoShaderParameter2f, SoShaderParameter2i, SoShaderParameter3f, SoShaderParameter3i, SoShaderParameter4f, SoShaderParameter4i, SoShaderParameterArray1f, SoShaderParameterArray1i, SoShaderParameterArray2f, SoShaderParameterArray2i, SoShaderParameterArray3f, SoShaderParameterArray3i, SoShaderParameterArray4f, SoShaderParameterArray4i, SoShaderParameterMatrix, SoShaderParameterMatrixArray, and SoShaderStateMatrixParameter.

  const SoFieldData ** SoUniformShaderParameter::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoUniformShaderParameter::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoShaderParameter.

Reimplemented in SoShaderParameter1f, SoShaderParameter1i, SoShaderParameter2f, SoShaderParameter2i, SoShaderParameter3f, SoShaderParameter3i, SoShaderParameter4f, SoShaderParameter4i, SoShaderParameterArray1f, SoShaderParameterArray1i, SoShaderParameterArray2f, SoShaderParameterArray2i, SoShaderParameterArray3f, SoShaderParameterArray3i, SoShaderParameterArray4f, SoShaderParameterArray4i, SoShaderParameterMatrix, SoShaderParameterMatrixArray, and SoShaderStateMatrixParameter.

  void SoUniformShaderParameter::updateParameter (SoGLShaderObject * shaderObject) [pure virtual]

Updates the shader parameter in the OpenGL state with the content of the value field.

Implemented in SoShaderParameter1f, SoShaderParameter1i, SoShaderParameter2f, SoShaderParameter2i, SoShaderParameter3f, SoShaderParameter3i, SoShaderParameter4f, SoShaderParameter4i, SoShaderParameterArray1f, SoShaderParameterArray1i, SoShaderParameterArray2f, SoShaderParameterArray2i, SoShaderParameterArray3f, SoShaderParameterArray3i, SoShaderParameterArray4f, SoShaderParameterArray4i, SoShaderParameterMatrix, SoShaderParameterMatrixArray, and SoShaderStateMatrixParameter.

Author

Generated automatically by Doxygen for Coin from the source code.